Package name
apcupsd
Date
2003-02-18
Advisory ID
MDKSA-2003:018
Affected versions
8.1 i586 , 8.1 i586 , 9.0 i586 , 8.2 i586 , 8.2 i586

Problem description

A remote root vulnerability in slave setups and some buffer overflows in the network information server code were discovered by the apcupsd developers. They have been fixed in the latest unstable version, 3.10.5 which contains additional enhancements like USB support, and the latest stable version, 3.8.6. There are a few changes that need to be noted, such as the port has changed from port 7000 to post 3551 for NIS, and the new config only allows access from the localhost. Users may need to modify their configuration files appropriately, depending upon their configuration.

Updated packages

8.1 i586

 fe8b89884f11d6ee419e791e7c7ff76e  8.1/RPMS/apcupsd-3.10.5-1.1mdk.i586.rpm
cf73f9b746b808c17d55dacb44a2efaa  8.1/SRPMS/apcupsd-3.10.5-1.1mdk.src.rpm

8.1 i586

 bc0b1ae0605ce9476dfa5777666e3694  ia64/8.1/RPMS/apcupsd-3.8.6-1.1mdk.ia64.rpm
a935645bad43e00c7a71445b6781a5b4  ia64/8.1/SRPMS/apcupsd-3.8.6-1.1mdk.src.rpm

9.0 i586

 9031edab8f3e692b6c5dbc8717819d8b  9.0/RPMS/apcupsd-3.10.5-1.1mdk.i586.rpm
cf73f9b746b808c17d55dacb44a2efaa  9.0/SRPMS/apcupsd-3.10.5-1.1mdk.src.rpm

8.2 i586

 d18b5d3fdca353d465e9efc823a10728  8.2/RPMS/apcupsd-3.10.5-1.1mdk.i586.rpm
cf73f9b746b808c17d55dacb44a2efaa  8.2/SRPMS/apcupsd-3.10.5-1.1mdk.src.rpm

8.2 i586

 340b9871a68a4d7347633a1c61fa8d1e  ppc/8.2/RPMS/apcupsd-3.10.5-1.1mdk.ppc.rpm
cf73f9b746b808c17d55dacb44a2efaa  ppc/8.2/SRPMS/apcupsd-3.10.5-1.1mdk.src.rpm

References